body {
    margin: 0;
}

#desktop-main {
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 20px;
    height: 100vh;
    height: 100dvh;
    box-sizing: border-box;
}

.columns {
    display: flex;
    /*gap: 16px;*/
    justify-content: center;
    width: 100%;
    /*flex: 1;*/
    /*min-height: 0;*/
    margin-top: 20px;
}

.column {
    display: flex;
    flex: 1;
    margin: 0;
    padding-left: 20px;
    padding-right: 20px;
    flex-direction: column;
}

#center-column {
    border-left: 1px solid var(--gray);
    border-right: 1px solid var(--gray);

}

p {
    font-family: sans-serif;
}

.column-header {
    color: var(--primary-text-color);
    font-weight: bold !important;
    text-align: center;
    font-family: sans-serif;
    margin-top: 0;
    margin-bottom: 10px;
}

#logo {
    display: block;
    margin: 0;
    margin-top: 10px;
}

.title-bar {
    border-bottom: 1px solid var(--secondary-text-color);
    display: flex;
    width: fit-content;
    align-items: flex-end;
    justify-content: center;
    margin: 0 auto;
}

.h2-style {
    margin: 0;
}

hr {
    margin: 0;
}

#mission-statement {
    color: var(--primary-text-color);
}

#appeal-statement {
    font-weight: normal;
}

h3, h4 {
    font-family: sans-serif;
    margin-left: 30px;
    margin-right: 30px;
    margin-top: 20px;
    margin-bottom: 0;
}

form {
    display: flex;
    flex-direction: column;
    flex: 1;
}

input, textarea {
    background-color: var(--primary-bg-color);
    color: var(--primary-text-color);
    font-size: 20px;
    font-weight: var(--label-weight);
    font-family: sans-serif;
    box-sizing: border-box;
    border: 1px solid var(--border-color);
    border-radius: 5px;
}

textarea {
    height: 100px;
    resize: none;
}

#submit-feedback-button {
    border-radius: 5px;
    width: 200px;
    margin-left: 0;
}

#share-buttons, #donate-area, #share-area {
    display: flex; 
    flex-direction: column;
    align-items: center;
}

#donate-buttons {
    display: flex;
    flex-direction: column;
}

#share-buttons {
    margin-left: 30px;
    margin-right: 30px;
}

.share-button {
    width: 250px;
    height: 60px;
    margin: 10px;
}

.donate-button {
    width: 250px;
    height: 60px;
    margin: 10px;
}

p {
    margin: 5px;
}

#qrcode {
    border-radius: 5px;
    border: 2px solid var(--gray);
}

.contrast #qrcode {
    filter: grayscale(100%) contrast(1000%);
}

@media (max-width: 1000px) {
    .columns {
        flex-direction: column;
        width: 80%;
        max-width: 600px;
        margin: 20px auto 0;
    }
    .column {
        width: 100%;
        padding-left: 0;
        padding-right: 0;
        border-top: 1px solid var(--gray);
        padding-top: 20px;
    }
    #center-column {
        border-left: none;
        border-right: none;
    }
}

#qr-div {
    display: flex;
    flex-direction: column;
    align-items: center;

}

@media (width <= 600px) {
    #qr-div {
        display: none;
    }
}
